Installation will einfach nicht

hallo miteinander ich versuche verzweifelt diesen shop zu installieren. es war schon soweit dass ich in das frontend kam, aber beim backend erhielt ich stets die fehlermeldung 500. dann fand ich die lösung mit der .htaccess umbenennen und die raute vor #RewriteBase /shopware/ entfernen habe ich beides gemacht, obwohl ich nicht verstehe warum, es wird doch einen sinn haben dass dies nicht von haus aus so ist ? egal, habs gemacht, aber der fehler ist leider der selbe. habe mittlerweile den shop 2x neu installiert und komme jetzt nicht mal mehr ins frontend, also eigentlich kann ich überhaupt nix öffnen, immer fehler 500. meine letzte hoffnung ist dass hier irgendjemand weiss was ich noch machen kann, ansonsten muss ich das projekt shopware wohl leider ad akta legen, obwohl ich schon sehr viel zeit investiert habe, ohne den geringsten nutzen oder sinn :frowning: lg

…hast du schnmal versucht das Forum durchzugoogeln - einfachach mal “shopware installation” oder Shopware fehler 500" eingeben. Es ist sehr wahrscheinlich, dass es Dein Problem schon mal gegeben hat inkl. Lösung. Wenn du dann immer noch Hilfe brauchst, musst Du schon mehr infos geben: Welcher Hoster, PHP Version, welches Shopware-Package, Ausgabe vom Shopware-Systeminfo-Tool… Dann kann es sein, das Jemand weiter weiss. …Aber erst Googeln! :wink:

1 Like

[quote]umbenennen und die raute vor #RewriteBase /shopware/ entfernen[/quote] Wie ist den deine URL? Wenn die www.domaine.de/shopware lautet, dann würde dies mit der RewriteBase passen. Falls nicht, muss du dies schreiben: RewriteBase / Welcher Provider hast du den?

1 Like

hab die letzten tage gegoogelt wie wild, das problem haben wirklich einige, leider nicht die richtige lösung für mich… hab die direkte onlineinstallation gemacht, dann die fehler geändert, also .htacces umbenannt und raute weg. der pfad zum unterordner stimmt auch. ist ein schweizer hoster, green.ch phpversion glaub 5.0irgendwas was kann ich sonst noch tun ?

jetzt gibts ja die version 4, da hab ich mir gedacht installier ich halt diese. leider das selbe problem, error 500 hab die dateien entpackt und binär hochgeladen, dann versucht aufzurufen und besagten fehler bekommen. habe jetzt dieses check.php mal hochgeladen, wenn ich es aufrufe kommt, na was wohl, interner serverfehler 500… bei der alten version gehts, da ists rot bei register_globals und bei magic_quotes. aber wenns ja jetzt eine neue gibt machts ja keinen sinn die alte noch aufzubauen oder ? bloss funktioniert die neue ja noch weniger… gibts keine version die von haus aus so ist dass man wenigstens drauf kommt ?? ich kann leider nicht programmieren, hab kaum kenntnisse von html und php usw. oder kennt wer einen onlineshop der keine programmierkenntnisse voraussetzt ? wäre wirklich sehr dankbar für hilfe, hab jetzt schon sehr sehr viel zeit damit verbraten.

Dann enthält die .htaccess Datei wahrscheinlich eine Regel die dein Hosting-Paket nicht verträgt. Du kannst die testweise mal komplett löschen und den Installer unter /install/ aufrufen. Dann müsstest du zumindest installieren können. Zum 500er Fehler allgemein - Ich würde mal beim Provider anfragen, was genau für ein Fehler auftritt. Das kann der in den Error-Logs nachgucken.

1 Like

vielen dank für deine antwort. wenn ich die .htaccess lösche und den installer unter /install/ aufrufe kommt was neues, und zwar: Parse error: syntax error, unexpected T_FUNCTION in mal was anderes, leider kein bisschen weiter… das ist jetzt bei der shopwareversion 4 was ich rausgefunden hab ist, dass über die .htaccess die funktionen register_globals und magic_quotes nicht verändert werden können. denkst du es gibt hoffnung oder soll ich es einfach lassen ? ich kämpfe mittlerweile schon mehrere tage allein mit dem versuch dieses programm zu installieren, wie wird das erst später zum konfigurieren ? ist das vielleicht einfach nicht die richtige softwarelösung für jemanden der keine programmiersprachen beherrscht ? ich hab halt nur grundlagenkenntnisse von html usw. werd den hoster heute anrufen und fragen warum der 500er fehler auftritt, hoffentlich weiss der das.

[quote], und zwar: Parse error: syntax error, unexpected T_FUNCTION in mal was anderes, leider kein bisschen weiter…[/quote] Das deutet darauf hin, dass bei dir eine ältere PHP-Version läuft. Shopware 4 benötigt mindestens 5.3.2

ist das das was man bei phpmyadmin sieht ? das ist version 5.0.95 :frowning: was kann ich nun machen ?

ne, stimmt nicht, laut dem check.php ist es die version 5.2.14 für shopware 3.5.6 sollte das reichen, laut dem testbericht, also kanns ja gar nicht daran liegen. für version 4 weiss ich halt auch nicht, weil ja da nicht mal die check.php funktioniert. somit gibts auch kein bericht was benötigt wird und was vorhanden ist.

[quote=„Malinho“]ne, stimmt nicht, laut dem check.php ist es die version 5.2.14 für shopware 3.5.6 sollte das reichen, laut dem testbericht, also kanns ja gar nicht daran liegen. für version 4 weiss ich halt auch nicht, weil ja da nicht mal die check.php funktioniert. somit gibts auch kein bericht was benötigt wird und was vorhanden ist.[/quote] morgen, wie Stefan schon schrieb: [quote]Das deutet darauf hin, dass bei dir eine ältere PHP-Version läuft. Shopware 4 benötigt mindestens 5.3.2[/quote] du musst deinen Hoster sprechen und ggf. upgraden oder wechseln!

vielen dank für deine antwort ich habe ja auch probiert die ältere version zu installieren, und das ging auch nicht, obwohl dafür meine php-version reichen würde. deshalb weiss ich nicht so recht ob es sinn macht den hoster zu kontaktieren und irgendwas zu erbitten wenns dann trotzdem nicht funktioniert. bis jetzt weiss ja niemand warum es nicht geht die alte version zum laufen zu bringen. hast du vielleicht noch ein tip ?

@Malinho Meine ersten Installationen von Shopsystemen haben auch nie funktioniert. Häufig kann der Hoster weiterhelfen. Als Anfänger bleib bei Shopware…es wird laufen und wenn es läuft willst Du nie wieder wechseln!

Servus, arbeitest du an einem Mac? Falls ja kann es natürlich sein, dass du dien .htaccess nicht mit auf den Server übertragen hast weil diese vom Betriebssystem ausgeblendet wird. Kannst einfach Tools installieren die das “verstecken” von Dateien aufheben. ZB Invisibility Toggler. Mfg